'_____________________________________________________________

'                               T R Y   P A R S E   D E M O
'                                       Created 3/9/08
'                                         Ron Kessler
'_____________________________________________________________


'This shows how to use the TryParse function to test casting. If you enter a value
'for integer, double, or a date, the program will attemp to convert what you enter
'in the textbox to the new data type. A message will appear to let you know what 
'happened.

'updated 3/9/08


Public Class frmMain



    Private Sub btnInteger_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInteger.Click
        Dim x As Integer = 0

        If Integer.TryParse(txtInteger.Text, x) = True Then
            MsgBox("It worked")
        Else
            MsgBox("It failed")
        End If




    End Sub

    Private Sub btnDouble_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDouble.Click
        Dim y As Double = 0
        If Double.TryParse(txtDouble.Text, y) = True Then
            MsgBox("It worked")
        Else
            MsgBox("It failed")
        End If

    End Sub

    Private Sub btnDate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDate.Click
        Dim dt As Date
        If Date.TryParse(txtDate.Text, dt) Then
            '---is the date today?
            If dt = My.Computer.Clock.LocalTime.Date Then
                MessageBox.Show("Today is your day")
            End If
        Else
            MsgBox("Guess again!")
        End If
    End Sub
End Class
